Bug 768443 - With Perl Version 5.14.2 installed, awstats V7.0 does not work
Summary: With Perl Version 5.14.2 installed, awstats V7.0 does not work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: awstats
Version: 16
Hardware: All
OS: All
unspecified
high
Target Milestone: ---
Assignee: Petr Lautrbach
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-16 16:53 UTC by Philippe Vouters
Modified: 2012-01-16 21:24 UTC (History)
2 users (show)

Fixed In Version: awstats-7.0-6.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-16 21:24:34 UTC


Attachments (Terms of Use)

Description Philippe Vouters 2011-12-16 16:53:51 UTC
Description of problem:
All Apache records dropped by awstats when SkipHosts and/or SkipFiles set to non empty. When cured, robots traffic counted as normal. When cured, OSes and Browsers not displayed correctly.

Version-Release number of selected component (if applicable):
Fedora 16 - Perl 5.14.2, Awstats 7.0

How reproducible:
At will

Steps to Reproduce:
1. Copy a real Apache access_log file to your current directory
2. yum install awstats
3. cd /usr/share/awstats
4. tools/awstats_configure.pl
5. Edit /etc/awstats/awstats.mycompany.com.conf
Set SkipFiles to a non empty string
6. /usr/share/awstats/wwwroot/cgi-bin/awstats.pl -update -config=mycompany.com


Actual results:
Notice that all input records are dropped.

Expected results:
Only selected records must be dropped.

Additional info:
For the fix, visit:
http://vouters.dyndns.org/tima/All-OS-Perl-Awstats-Fixes_to_awstats.html

Comment 1 Fedora Update System 2012-01-02 12:30:26 UTC
awstats-7.0-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/awstats-7.0-6.fc16

Comment 2 Fedora Update System 2012-01-02 21:51:58 UTC
Package awstats-7.0-6.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing awstats-7.0-6.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0021/awstats-7.0-6.fc16
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2012-01-16 21:24:34 UTC
awstats-7.0-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.